// $Id: ORB_Run_Task.cpp 52172 2003-09-04 03:27:24Z ossama $

#include "ORB_Run_Task.h"

ACE_RCSID (Notify, TAO_Notify_ORB_Run_Task, "$Id: ORB_Run_Task.cpp 52172 2003-09-04 03:27:24Z ossama $")

TAO_Notify_ORB_Run_Task::TAO_Notify_ORB_Run_Task (TAO_Notify_ORB_Objects& orb_objects)
  : orb_objects_ (orb_objects)
{
}

TAO_Notify_ORB_Run_Task::~TAO_Notify_ORB_Run_Task ()
{
}

int
TAO_Notify_ORB_Run_Task::svc (void)
{
  ACE_TRY_NEW_ENV
    {
      this->orb_objects_.current_->the_priority (0 ACE_ENV_ARG_PARAMETER);
      ACE_TRY_CHECK;

      this->orb_objects_.orb_->run (ACE_ENV_SINGLE_ARG_PARAMETER);
      ACE_TRY_CHECK;
    }
  ACE_CATCHANY
    {
    }
  ACE_ENDTRY;

  return 0;
}
